Package com.avaya.clientservices.provider.ppm

## Class PPMConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.ppm.PPMConfiguration

-     public class PPMConfiguration
      extends java.lang.Object

  User Configuration information for PPM. This class provides the configuration data that allows a connection and access to be made to a PPM Server

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PPMConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CredentialProvider` | `getCredentialProvider()` |
    `int` | `getPPMConfigRequestTimeoutMilliSeconds()` |
    `ServerInfo` | `getServerInfo()` |
    `boolean` | `isCallJournalingEnabled()` | A Boolean value indicating whether 24x7 Call Journaling are enabled.
    `boolean` | `isContactsEnabled()` | Determine if PPM contacts are enabled or not.
    `boolean` | `isEnabled()` | Boolean value indicating whether the PPM provider is enabled.
    `boolean` | `isPPMPersistentDataEnabled()` | Determine if PPM persistent data is enabled or not.
    `void` | `setCallJournalingEnabled​(boolean enabled)` | Enables or disables 24x7 Call Journaling.
    `void` | `setContactsEnabled​(boolean enabled)` | Enables or disables PPM contacts.
    `void` | `setCredentialProvider​(CredentialProvider credentialProvider)` | Set the ICredentialProvider value representing the object that provides the credentials.
    `void` | `setEnabled​(boolean enabled)` | Set the Boolean value indicating whether the PPM provider is enabled.
    `void` | `setPPMConfigRequestTimeoutMilliSeconds​(int timerValue)` | How long to wait for a server response on PPM Configuration Request (in milliseconds) Affected PPM Requests: CPPMGetAllEndpointConfigurationCommand, CPPMGetHomeCapabilitiesCommand, CPPMGetDeviceDataCommand
    `void` | `setPPMPersistentDataEnabled​(boolean enabled)` | Enables or disables PPM (Personal Profile manager) persistent data.
    `void` | `setServerInfo​(ServerInfo serverInfo)` | Set the ServerInfo value indicating the server to connect with.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PPMConfiguration

          public PPMConfiguration()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Boolean value indicating whether the PPM provider is enabled.
      Returns:
        true indicating PPM provider is enabled, otherwise false

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Set the Boolean value indicating whether the PPM provider is enabled.
      Parameters:
        `enabled` - the Boolean value indicating whether the PPM provider is enabled.

    - #### isContactsEnabled

          public boolean isContactsEnabled()

      Determine if PPM contacts are enabled or not.
      Returns:
        true if PPM contacts are enabled, otherwise false.

    - #### setContactsEnabled

          public void setContactsEnabled​(boolean enabled)

      Enables or disables PPM contacts.
      Parameters:
        `enabled` - true if PPM contacts are enabled.

    - #### isCallJournalingEnabled

          public boolean isCallJournalingEnabled()

      A Boolean value indicating whether 24x7 Call Journaling are enabled.
      Returns:
        true if 24x7 Call Journaling are enabled, otherwise false.

    - #### setCallJournalingEnabled

          public void setCallJournalingEnabled​(boolean enabled)

      Enables or disables 24x7 Call Journaling.
      Parameters:
        `enabled` - true if 24x7 Call Journaling are enabled.

    - #### getServerInfo

          public ServerInfo getServerInfo()

      Returns:
        ServerInfo value indicating the server to connect with.

    - #### setServerInfo

          public void setServerInfo​(ServerInfo serverInfo)

      Set the ServerInfo value indicating the server to connect with.
      Parameters:
        `serverInfo` - ServerInfo value indicating the server to connect with.

    - #### getCredentialProvider

          public CredentialProvider getCredentialProvider()

      Returns:
        a CredentialProvider value representing the object that provides the credentials.

    - #### setCredentialProvider

          public void setCredentialProvider​(CredentialProvider credentialProvider)

      Set the ICredentialProvider value representing the object that provides the credentials.
      Parameters:
        `credentialProvider` - ICredentialProvider value representing the object that provides the credentials.

    - #### isPPMPersistentDataEnabled

          public boolean isPPMPersistentDataEnabled()

      Determine if PPM persistent data is enabled or not.
      Returns:
        true if PPM persistent data is enabled, otherwise false.

    - #### setPPMPersistentDataEnabled

          public void setPPMPersistentDataEnabled​(boolean enabled)

      Enables or disables PPM (Personal Profile manager) persistent data. When this setting is enabled, PPM (Personal Profile manager) data is not re-queried after network recovery, when the client wakes up after being in sleep mode (specific for chromebook client), when client fails over to secondary when primary server goes down and vice versa. Existing PPM cached data will be used. Client needs to logout/login or restart to get updated data. The PPM cached data consists of UC and Agent features, button locations and button customization. This feature is useful to reduce network traffic in large scale environments.
      Parameters:
        `enabled` - true if PPM persistent data is enabled.

    - #### setPPMConfigRequestTimeoutMilliSeconds

          public void setPPMConfigRequestTimeoutMilliSeconds​(int timerValue)

      How long to wait for a server response on PPM Configuration Request (in milliseconds) Affected PPM Requests: CPPMGetAllEndpointConfigurationCommand, CPPMGetHomeCapabilitiesCommand, CPPMGetDeviceDataCommand
      Parameters:
        `timerValue` - The nominal interval to wait (in milliseconds) Values less than 0 or greater than 65535 are ignored. The default value is 10000.

    - #### getPPMConfigRequestTimeoutMilliSeconds

          public int getPPMConfigRequestTimeoutMilliSeconds()

      Returns:
        int value of PPM Configuration Request (in milliseconds)